package com.qxtop.wc;

import org.apache.flink.api.common.functions.FlatMapFunction;
import org.apache.flink.api.java.ExecutionEnvironment;
import org.apache.flink.api.java.operators.AggregateOperator;
import org.apache.flink.api.java.operators.DataSource;
import org.apache.flink.api.java.operators.FlatMapOperator;
import org.apache.flink.api.java.operators.UnsortedGrouping;
import org.apache.flink.api.java.tuple.Tuple2;
import org.apache.flink.util.Collector;

public class WordCountBatchDemo {

   public static void main(String[] args) throws Exception {
      ExecutionEnvironment env = ExecutionEnvironment.getExecutionEnvironment();
      DataSource lineDS = env.readTextFile("input/words.txt");
      FlatMapOperator wordAndOne = lineDS.flatMap(new FlatMapFunction() {
         public void flatMap(String value, Collector out) throws Exception {
            String[] words = value.split(" ");
            String[] var4 = words;
            int var5 = words.length;

            for(int var6 = 0; var6 < var5; ++var6) {
               String word = var4[var6];
               Tuple2 wordTupe2 = Tuple2.of(word, Integer.valueOf(1));
               out.collect(wordTupe2);
            }

         }
      });
      UnsortedGrouping wordAndOneGroupBy = wordAndOne.groupBy(new int[]{0});
      AggregateOperator sum = wordAndOneGroupBy.sum(1);
      sum.print();
   }
}
